Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop
Class BDMsg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.bibledesktop.BDMsg

    public final class BDMsg

extends org.crosswire.common.util.MsgBase

BibleDesktop API for all the messages in the BibleDesktop jar.

Author:
  DM Smith
See Also:
  `for license details.`

Field Summary
`private static org.crosswire.common.util.MsgBase` | `msg`
`private static org.crosswire.common.icu.NumberShaper` | `shaper`
`private static String` | `VERSION` The current version of Bible Desktop.

Constructor Summary
`BDMsg()`

Method Summary
`static String` | `getAboutInfo()` get an About string of the form "About App Name"
`static String` | `getApplicationTitle()` get the title of the application
`static String` | `gettext(String key, Object... params)` Get the internationalized text, but return key if key is unknown.
`private static String` | `getVersion()`
`static String` | `getVersionedApplicationTitle()` get a title of the form "App Name v1.0"
`static String` | `getVersionInfo()` get a version string of the form "Version: 1.0"

Methods inherited from class org.crosswire.common.util.MsgBase
`lookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shaper

    private static org.crosswire.common.icu.NumberShaper shaper

### VERSION

    private static final String VERSION

  The current version of Bible Desktop. Adjust for each release. And increment after each release and append alpha, beta, ... to it.

### msg

    private static org.crosswire.common.util.MsgBase msg

Constructor Detail

### BDMsg

    public BDMsg()

Method Detail

### getApplicationTitle

    public static String getApplicationTitle()

  get the title of the application

  Returns:
    the title of the application

### getVersionInfo

    public static String getVersionInfo()

  get a version string of the form "Version: 1.0"

  Returns:
    the version string

### getVersionedApplicationTitle

    public static String getVersionedApplicationTitle()

  get a title of the form "App Name v1.0"

  Returns:
    a versioned title

### getAboutInfo

    public static String getAboutInfo()

  get an About string of the form "About App Name"

  Returns:
    Info for "About"

### getVersion

    private static String getVersion()

### gettext

    public static String gettext(String key,
                                 Object... params)

  Get the internationalized text, but return key if key is unknown. The text requires one or more parameters to be passed.

  Parameters:
    `key` -
    `params` -
  Returns:
    the formatted, internationalized text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD